### Method

# Fwupd Device has_problem

since: 1.8.1

#### Declaration [src]

    gboolean
    fwupd_device_has_problem (
      FwupdDevice* self,
      FwupdDeviceProblem problem
    )

#### Description [src]

Finds if the device has a specific device problem kind.

Available since: 1.8.1

#### Parameters

`problem`

  Type: `FwupdDeviceProblem`

  The `FwupdDeviceProblem`.

#### Return value

Type: `gboolean`

`TRUE` if the problem is set.